class UsersController < ApplicationController
  before_filter :find_user, :only => [:edit, :friends, :show, :update, :destroy]
  #before_filter :find_user, :except => [:new, :create, :index, :forgotten, :send_forgotten]

  def new
    @user = User.new
  end
  
  def create
    @user = User.new(user_params)
    if @user.save
      @current_user = @user
      session[:user] = @user.id
      flash[:error] = 'Successful registration'
      redirect_to :action => :show, :id => @user.id
    else
      flash[:error] = 'User name already used'
      render action: :new
    end
  end

  def edit
    if session[:user] != params[:id]
      redirect_to profile_path(session[:user])
    end
  end

  def index
    @users = User.get_users_page(params[:page])
    if session[:user]
      @userid = session[:user]
    else
      @userid = ''
      flash[:error] = "Please log in to challenge"
    end
  end

  def forgotten
    @user = User.new
  end
  
  def send_forgotten
  end
  
  def friends
    @friends = @user.friends
  end
  
  def show
  end

  def update
    if session[:user] != params[:id]
      return
    end
    if @user.update_attributes params[:user]
      flash[:error] = 'Profile updated successfully'
      redirect_to :action => :show, :id => session[:user]
    else
      flash[:error] = @user.errors.message
      redirect_to action: :edit, id: session[:user]
    end
  end

  def destroy
    User.delete @user.id
    #@user.delete
  end

  private
    def user_params
      params.require(:user).permit(:password, :username, :email, :password_confirmation)
    end
  
    def find_user
      @user = User.find params[:id]
    end
end
